# Yahoo! UI Library

### Uploader 2.8.0r4

Yahoo! UI Library > uploader > YAHOO.widget.FlashAdapter
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.FlashAdapter - uses YAHOO.util.AttributeProvider

Wraps Flash embedding functionality and allows communication with SWF through attributes.

### Properties

#### _attributes - `private Object`

The initializing attributes are stored here until the SWF is ready.

#### _containerID - `private String`

The ID of the containing DIV.

#### _id - `private String`

The id of this instance.

#### _initialized - `private Boolean`

Indicates whether the SWF has been initialized and is ready to communicate with JavaScript

#### _swf - `private object`

A reference to the embedded SWF file.

#### _swfURL - `private String`

The URL of the SWF file.

#### proxyFunctionCount - `private static object`

The number of proxy functions that have been created.

#### Properties inherited from YAHOO.util.AttributeProvider:

`_configs`

### Methods

#### _embedSWF

`private void _embedSWF ( )`
Embeds the SWF in the page and associates it with this instance.

Returns: `void`

#### _eventHandler

`private void _eventHandler ( )`
Handles or re-dispatches events received from the SWF.

Returns: `void`

#### _getAltText

`private void _getAltText ( )`
Getter for altText attribute.

Returns: `void`

#### _getSWFURL

`private void _getSWFURL ( )`
Getter for swfURL attribute.

Returns: `void`

#### _initAttributes

`private void _initAttributes ( )`
Initializes the attributes.

Returns: `void`

#### _loadHandler

`private void _loadHandler ( )`
Called when the SWF has been initialized.

Returns: `void`

#### _setAltText

`private void _setAltText ( )`
Setter for altText attribute.

Returns: `void`

#### destroy

`void destroy ( )`
Nulls out the entire FlashAdapter instance and related objects and removes attached event listeners and clears out DOM elements inside the container. After calling this method, the instance reference should be expliclitly nulled by implementer, as in myChart = null. Use with caution!

Returns: `void`

#### toString

`String toString ( )`
Public accessor to the unique name of the FlashAdapter instance.

Returns: `String`
  Unique name of the FlashAdapter instance.

#### YAHOO.widget.FlashAdapter.createProxyFunction

`private static void YAHOO.widget.FlashAdapter.createProxyFunction ( )`
Creates a globally accessible function that wraps a function reference. Returns the proxy function's name as a string for use by the SWF through ExternalInterface.

Returns: `void`

#### YAHOO.widget.FlashAdapter.eventHandler

`private static void YAHOO.widget.FlashAdapter.eventHandler ( )`
Receives event messages from SWF and passes them to the correct instance of FlashAdapter.

Returns: `void`

#### YAHOO.widget.FlashAdapter.removeProxyFunction

`private static void YAHOO.widget.FlashAdapter.removeProxyFunction ( )`
Removes a function created with createProxyFunction()

Returns: `void`

#### Methods inherited from YAHOO.util.AttributeProvider:

`configureAttribute, fireBeforeChangeEvent, fireChangeEvent, get, getAttributeConfig, getAttributeKeys, refresh, register, resetAttributeConfig, resetValue, set, setAttributeConfig, setAttributes`

### Events

#### altTextChange

`altTextChange ( event )`
Fires when the value for the configuration attribute 'altText' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### backgroundColorChange

`backgroundColorChange ( event )`
Fires when the value for the configuration attribute 'backgroundColor' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeAltTextChange

`beforeAltTextChange ( event )`
Fires before the value for the configuration attribute 'altText' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeBackgroundColorChange

`beforeBackgroundColorChange ( event )`
Fires before the value for the configuration attribute 'backgroundColor' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeExpressInstallChange

`beforeExpressInstallChange ( event )`
Fires before the value for the configuration attribute 'expressInstall' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeSwfURLChange

`beforeSwfURLChange ( event )`
Fires before the value for the configuration attribute 'swfURL' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeVersionChange

`beforeVersionChange ( event )`
Fires before the value for the configuration attribute 'version' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### beforeWmodeChange

`beforeWmodeChange ( event )`
Fires before the value for the configuration attribute 'wmode' changes. Return false to cancel the attribute change.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### contentReady

`contentReady ( )`
Fires when the SWF is initialized and communication is possible.

#### expressInstallChange

`expressInstallChange ( event )`
Fires when the value for the configuration attribute 'expressInstall' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### swfURLChange

`swfURLChange ( event )`
Fires when the value for the configuration attribute 'swfURL' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### versionChange

`versionChange ( event )`
Fires when the value for the configuration attribute 'version' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### wmodeChange

`wmodeChange ( event )`
Fires when the value for the configuration attribute 'wmode' changes.

Parameters:
  `event <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

### Configuration Attributes

#### altText `- String`

The alternative text to provide for screen readers and other assistive technology.

#### backgroundColor `- String`

The background color of the SWF. Only available in the constructor because it may not be set after Flash Player has been embedded in the page.

#### expressInstall `- String`

URL pointing to a SWF file that handles Flash Player's express install feature. Only available in the constructor because it may not be set after Flash Player has been embedded in the page.

#### swfURL `- String`

Absolute or relative URL to the SWF displayed by the FlashAdapter. Only available in the constructor because it may not be set after Flash Player has been embedded in the page.

#### version `- String`

Minimum required version for the SWF file. Only available in the constructor because it may not be set after Flash Player has been embedded in the page.

#### wmode `- String`

Sets the window mode of the Flash Player control. May be "window", "opaque", or "transparent". Only available in the constructor because it may not be set after Flash Player has been embedded in the page.

Copyright © 2009 Yahoo! Inc. All rights reserved.